export function getGlobalsOf(element) {
    return element.ownerDocument?.defaultView ?? window;
}
export function isInputElement(element) {
    const globalScope = getGlobalsOf(element);
    const HTMLInputElement = globalScope['HTMLInputElement'];
    const HTMLTextAreaElement = globalScope['HTMLTextAreaElement'];
    const HTMLSelectElement = globalScope['HTMLSelectElement'];
    return (element instanceof HTMLInputElement ||
        element instanceof HTMLTextAreaElement ||
        element instanceof HTMLSelectElement);
}
export function isElement(obj) {
    return !!obj && obj instanceof getGlobalsOf(obj)['Element'];
}
export function isHTMLElement(obj) {
    return !!obj && obj instanceof getGlobalsOf(obj)['HTMLElement'];
}
//# sourceMappingURL=helpers.js.map